=== debian/control ===
Source: ocaml-cow
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxmlm-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 liburi-ocaml-dev,
 ocaml-dyntype-dev,
 ocaml-findlib,
 libtype-conv-camlp4-dev,
 ocaml-native-compilers,
 ocaml-ezjsonm-dev,
 libounit-ocaml-dev,
 ocaml-omd-dev,
 ocaml-ulex,
 libre-ocaml-dev

Package: ocaml-cow
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: XML, JSON, HTML, CSS, and Markdown syntax and libraries
  Writing web-applications requires a lot of skills: HTML, CSS, XML,
 JSON and Markdown, to name but a few! This library provides OCaml
 syntax extensions for these web formats by:
 .
 * extending standard OCaml syntax with embedded web DSLs. It has a
 quotation mechanism which parses HTML, CSS or XML to OCaml, and
 also anti-quotations that form a template mechanism.
 .
 * using type-driven code generation to generate markup directly from
 OCaml type declarations. It is possible to mix hand-written and
 generated code to deal with special-cases. Most of the work is done
 at pre-processing time, so there is no runtime costs and the
 generated   OCaml code can be manually inspected if desired.
 .
 Mre documentation at <https://github.com/mirage/ocaml-cow>

Package: ocaml-cow-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-cow (>= 1.0.0-1),
 ocaml-findlib,
 ocaml-nox,
 libtype-conv-camlp4-dev,
 ocaml-ulex,
 libre-ocaml-dev,
 libounit-ocaml-dev,
 liburi-ocaml-dev,
 libxmlm-ocaml-dev,
 ocaml-omd-dev,
 ocaml-ezjsonm-dev,
 ocaml-dyntype-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cow
 The ocaml-cow-devel package contains libraries and signature files
 for developing applications that use ocaml-cow.
